org.eclipse.rdf4j.http.client

## Class SesameSession

- java.lang.Object
- - org.eclipse.rdf4j.http.client.SPARQLProtocolSession
  - - org.eclipse.rdf4j.http.client.RDF4JProtocolSession
    - - org.eclipse.rdf4j.http.client.SesameSession

- All Implemented Interfaces:
    AutoCloseable, HttpClientDependent

  Deprecated.
  use `RDF4JProtocolSession` instead.

      @Deprecated
      public class SesameSession
      extends RDF4JProtocolSession

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.http.client.SPARQLProtocolSession

      `DEFAULT_MAXIMUM_URL_LENGTH, MAXIMUM_URL_LENGTH, MAXIMUM_URL_LENGTH_PARAM, UTF8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SesameSession(org.apache.http.client.HttpClient client, ScheduledExecutorService executor)` Deprecated. use `RDF4JProtocolSession` instead.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.http.client.RDF4JProtocolSession

      `addData, beginTransaction, beginTransaction, checkRepositoryURL, checkServerURL, clearNamespaces, close, commitTransaction, createRepository, deleteRepository, getContextIDs, getContextIDs, getNamespace, getNamespaces, getNamespaces, getQueryMethod, getQueryMethodParameters, getRepositoryConfig, getRepositoryList, getRepositoryList, getRepositoryURL, getServerProtocol, getServerURL, getStatements, getUpdateMethod, getUpdateMethodParameters, getUpdateURL, removeData, removeNamespacePrefix, rollbackTransaction, sendTransaction, setNamespacePrefix, setRepository, setServerURL, setUsernameAndPassword, size, updateRepository, upload, upload, upload, upload, upload`

    - ### Methods inherited from class org.eclipse.rdf4j.http.client.SPARQLProtocolSession

      `execute, executeNoContent, executeOK, getAdditionalHttpHeaders, getBackgroundTupleQueryResult, getBoolean, getConnectionTimeout, getErrorInfo, getHttpClient, getHttpContext, getParserConfig, getPreferredBooleanQueryResultFormat, getPreferredRDFFormat, getPreferredTupleQueryResultFormat, getQueryURL, getRDF, getRDFBackground, getResponseMIMEType, getTupleQueryResult, getUpdateMethod, getUpdateMethodParameters, getValueFactory, sendBooleanQuery, sendBooleanQuery, sendGraphQuery, sendGraphQuery, sendGraphQuery, sendGraphQuery, sendTupleQuery, sendTupleQuery, sendTupleQuery, sendUpdate, sendUpdate, setAdditionalHttpHeaders, setConnectionTimeout, setHttpClient, setParserConfig, setPreferredBooleanQueryResultFormat, setPreferredRDFFormat, setPreferredTupleQueryResultFormat, setQueryURL, setUpdateURL, setUsernameAndPasswordForUrl, setValueFactory, shouldUsePost`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SesameSession

          @Deprecated
          public SesameSession(org.apache.http.client.HttpClient client,
                                           ScheduledExecutorService executor)

      Deprecated. use `RDF4JProtocolSession` instead.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.